<?php 

defined('C5_EXECUTE') or die(_("Access Denied.")); 

class DashboardStatsMapController extends Controller { 
	
	function __construct(){ 
		$packageHandle='tony_stats';
		$this->statsPkg = Package::getByHandle($packageHandle); 
		
		//Loader::helper('stats',$packageHandle); 
		require_once( $this->statsPkg->getPackagePath().'/helpers/stats.php' ); 
	}
	
	function view(){   
		$mapsKey = Config::get('TONY_STATS_MAPS_KEY'); 
		$this->set('mapsKey', $mapsKey );
	
		$statsDisplay = new ParticleTrafficDisplay();
		$countries = $statsDisplay->getTopCountries(); 
		$this->set('countries', $countries );		
	}
	
	function visit_details(){
		$json = Loader::helper('json'); 
		$jsonData=array(); 
		$jsonData['c_code']=$_REQUEST['c_code']; 
		
		$statsDisplay = new ParticleTrafficDisplay();
		$visitRows = $statsDisplay->getVisitPaths( $_REQUEST['visit'] );
		if(!intval($_REQUEST['visit']) || count($visitRows)!=1 ){
			$jsonData['html']= t('Visit Not Found');
		}else{
			$data = $visitRows[0];
			$pagesViewed=count($data['hitData']);  
			
			ob_start();
			include($this->statsPkg->getPackagePath() . '/elements/dashboard/visit_detail.php'); 			
			$html.=ob_get_contents();
			ob_end_clean(); 
	
			$jsonData['html']= $html;
		}
		
		echo $json->encode( $jsonData ); 
		die;
	}
}

?>