
<div class="sectionOptionZone particleCSS altLinks" style="margin-top:0px;">
	<div class="sectionOptions" style="text-align:left; margin-bottom:8px; "> 
		<div id="discoveryDataSet" style="float:right;">
			<a href="#" id="discoveryDataTopLink" class="<?php echo ($defaultDiscoveryDataSet=='top')?'selected':''?>" onclick="ParticleTraffic.discoverySort('Top',this); return false;"><?php echo t('Top')?></a>&nbsp; 
			<a href="#" id="discoveryDataRecentLink" class="<?php echo ($defaultDiscoveryDataSet=='recent')?'selected':''?>" onclick="ParticleTraffic.discoverySort('Recent',this); return false;"><?php echo t('Recent')?></a> 
		</div>     
				   
		<div id="discoveryDataLinks"> 
			<a href="#" id="discoveryReferrersLink" class="<?php echo ($defaultDiscoveryView=='referrers')?'selected':''?>" onclick="ParticleTraffic.discoveryView('Referrers',this); return false;"><?php echo t('Referrers')?></a> 
			&nbsp;<a href="#" id="discoverySearchesLink" class="<?php echo ($defaultDiscoveryView=='searches')?'selected':''?>" onclick="ParticleTraffic.discoveryView('Searches',this); return false;"><?php echo t('Searches')?></a>	  
		</div>	 
	</div> 
	<div class="spacer"></div>
</div>
<div id="discoveryReferrersWrap" class="discoveryDataWrap <?php echo ($defaultDiscoveryView!='referrers')?'none':''?>">
	<table id="discoveryDataReferrersTopWrap" class="small dataGrid top <?php echo ($defaultDiscoveryDataSet!='top')?'none':''?>" width="100%">
		<tr class="keyCell">
			<td><?php echo t('Top Referrers')?> </td> 
			<td class="countCol"><?php echo t('Visits')?> </td> 
		</tr>
		<?php  
		if(!count($statsDisplay->referrerData['top'])){ ?>  
			<tr>
				<td colspan="2" class="faint"><?php echo t('None')?></td>
			</tr>
		<?php  
		}
		foreach($statsDisplay->referrerData['top'] as $referrer){ 
			if( !intval($referrer['count']) ) continue;
			?>
			<tr>
				<td><a href="<?php echo $referrer['referrer_url']?>"><?php echo ParticleTrafficTools::shortText(str_ireplace('http://','',$referrer['referrer_url']),50)?></a></td>
				<td class="countCol"><?php echo intval($referrer['count'])?></td>
			</tr>
		<?php  } ?>
		
		<?php  if(count($statsDisplay->referrerData['top']) && ParticleTrafficDisplay::getOldestVisitTime()){ ?>
			<tr class="noStyle"><td colspan="2">
			<div class="since"><?php echo  t('Referrals since') .' '. t(date('F',ParticleTrafficDisplay::getOldestVisitTime())) . date(' j, Y',ParticleTrafficDisplay::getOldestVisitTime()) ?> </div>
			</td></tr>
		<?php  } ?> 				
	</table>
	<table id="discoveryDataReferrersRecentWrap" class="small dataGrid recent <?php echo ($defaultDiscoveryDataSet!='recent')?'none':''?>" width="100%">
		<tr class="keyCell">
			<td><?php echo t('Recent Referrers')?> </td> 
			<td class="countCol"><?php echo t('When')?> </td> 
		</tr>
		<?php  
		if(!count($statsDisplay->referrerData['recent'])){ ?>  
			<tr>
				<td colspan="2" class="faint"><?php echo t('None')?></td>
			</tr>
		<?php  
		}
		foreach($statsDisplay->referrerData['recent'] as $referrer){   ?>
			<tr>
				<td><a href="<?php echo $referrer['referrer_url']?>"><?php echo ParticleTrafficTools::shortText(str_ireplace('http://','',$referrer['referrer_url']),50)?></a></td>
				<td class="countCol left"><?php echo ParticleTrafficTools::timePast($referrer['created'])?></td>
			</tr>
		<?php  } ?>
	</table>	
</div>
<div id="discoverySearchesWrap" class="discoveryDataWrap <?php echo ($defaultDiscoveryView!='searches')?'none':''?>">
	<table id="discoveryDataSearchesTopWrap" class="small dataGrid top <?php echo ($defaultDiscoveryDataSet!='top')?'none':''?>" width="100%">
		<tr class="keyCell">
			<td><?php echo t('Top Searches')?> </td> 
			<td class="countCol"><?php echo t('Visits')?> </td> 
		</tr>
		<?php  
		if(!count($statsDisplay->searchesData['top'])){ ?>  
			<tr>
				<td colspan="2" class="faint"><?php echo t('None')?></td>
			</tr>
		<?php  
		}
		foreach($statsDisplay->searchesData['top'] as $data){ ?>
			<tr>
				<td><?php echo ParticleTrafficTools::shortText($data['search_terms'],50)?></td>
				<td class="countCol"><?php echo intval($data['count'])?></td>
			</tr>
		<?php  } ?>
		
		<?php  if(count($statsDisplay->searchesData['top']) && ParticleTrafficDisplay::getOldestVisitTime()){ ?>
			<tr class="noStyle"><td colspan="2">
			<div class="since"><?php echo  t('Searches since') .' '. t(date('F',ParticleTrafficDisplay::getOldestVisitTime())) . date(' j, Y',ParticleTrafficDisplay::getOldestVisitTime()) ?> </div>
			</td></tr>
		<?php  } ?>
		
	</table>
	<table id="discoveryDataSearchesRecentWrap" class="small dataGrid recent <?php echo ($defaultDiscoveryDataSet!='recent')?'none':''?>" width="100%">
		<tr class="keyCell">
			<td><?php echo t('Recent Searches')?> </td> 
			<td class="countCol"><?php echo t('When')?> </td> 
		</tr>
		<?php  
		if(!count($statsDisplay->searchesData['recent'])){ ?>  
			<tr>
				<td colspan="2" class="faint"><?php echo t('None')?></td>
			</tr>
		<?php  
		}
		foreach($statsDisplay->searchesData['recent'] as $data){ ?>
			<tr>
				<td><?php echo ParticleTrafficTools::shortText($data['search_terms'],50)?></td>
				<td class="countCol left"><?php echo ParticleTrafficTools::timePast($data['created'])?></td>
			</tr>
		<?php  } ?>
	</table>	
</div>